#!/bin/sh

TRACEDEAMON=./tracedaemon
TRACER=/dev/tracer

if [ "$2" = "" ] ; then
  echo "Using default time slice of 10 seconds"
  TIMESLICE=10
else
  echo "Using time slice of $2 seconds"
  TIMESLICE=$2
fi

case "$1" in
  start)
    echo "Starting Trace for $TIMESLICE seconds"
    /tracing/tracedaemon $TRACER -d -b100000 -ts$TIMESLICE /tracing/out.trace /tracing/out.proc &
    ;;
  stop)
    echo "Stopping Trace IMMDEIATELY, results will be lost"
    killall tracedaemon
    ;;
  *)
    echo "Usage: $0 {start|stop|restart} [time slice]"
    exit 1
    ;;
esac

exit 0

