#!/bin/sh

TRACER=/dev/tracer
TRACERU=/dev/tracerU

case "$1" in
  start)
    echo "Starting Trace device..."

    if [ -e $TRACER ] ; then
      rm -f $TRACER
      rm -f $TRACERU
    fi

    TRACEDEV=`cat /proc/devices | grep tracer`
    MAJOR=`echo $TRACEDEV | cut -d ' ' -f 1`
    echo MAJOR=$MAJOR
    mknod /dev/tracer c $MAJOR 0
    mknod /dev/tracerU c $MAJOR 1
    ;;
  stop)
    echo "Stopping Trace device...

    if [ -e $TRACER ] ; then
      rm -f $TRACER
      rm -f $TRACERU
    fi
    ;;
  restart)
    $0 stop
    $0 start
    ;;
  *)
    echo "Usage: $0 { start | stop | restart }
    exit 1
esac

exit 0

