#!/bin/sh

TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
. ${TOPDIR}tools/build_tools/config.sh
APPS_NAME="TraceToolkit-0.9.5"

echo "----------------------------------------------------------------------"
echo "----------------------    TraceToolkit-0.9.5   -----------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	make clean
	make distclean
	rm -f .config_ok
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

if [ "$1" = "config_only" ] ; then
        exit 0
fi

#make AR=${IFX_AR} AS=${IFX_AS} LD=${IFX_LD} NM=${IFX_NM} CC=${IFX_CC} BUILDCC=${IFX_HOSTCC} GCC=${IFX_CC} CXX=${IFX_CXX} CPP=${IFX_CPP} RANLIB=${IFX_RANLIB} IFX_CFLAGS="${IFX_CFLAGS}" IFX_LDFLAGS="${IFX_LDFLAGS}" DESTDIR=${BUILD_ROOTFS_DIR} all
#make CC=${IFX_CC} all
#ifx_error_check $?
#make DESTDIR=${BUILD_ROOTFS_DIR} install
#ifx_error_check $?

############################################################################
#build for mips (but dont bother with visualizer).
############################################################################
./configure --with-CC=/opt/uclibc-toolchain/ifx-lxdb-1-2/gcc-3.4.4/toolchain-mips-sf/bin-ccache/mips-linux-gcc --with-CFLAGS='-Wall -O2 -march=mips32r2 -mtune=24kec -Wa,-march=mips32r2 -Wa,-mtune=24kec -G 0 -mabi=32 -mlong-calls'
make clean
ifx_error_check $?
make -C LibLTT
make -C LibUserTrace
make -C Daemon
ifx_error_check $?

############################################################################
#install mips
############################################################################
mkdir ${BUILD_ROOTFS_DIR}/tracing
cp -vf ./Daemon/tracedaemon ${BUILD_ROOTFS_DIR}/tracing/
cp -vf ./Daemon/Scripts/TraceDaemon.sh ${BUILD_ROOTFS_DIR}/tracing/
cp -vf ./Daemon/Scripts/TraceDevice.sh ${BUILD_ROOTFS_DIR}/tracing/
############################################################################

############################################################################
#build for x86.
############################################################################
./configure --with-CC=gcc --with-CFLAGS='-Wall -O2'
make clean
ifx_error_check $?
make -C LibLTT
make -C LibUserTrace
make -C Daemon
make -C Visualizer
ifx_error_check $?

